### Method

# Foundry Config set_id

#### Declaration [src]

    void
    foundry_config_set_id (
      FoundryConfig* self,
      const char* id
    )

#### Description [src]

Sets the identifier of the config.

This should only be called by `FoundryConfigProvider` on their `FoundryConfig` before they have been registered.

Sets property | `Foundry.Config:id`

#### Parameters

`id`

  Type: `const char*`

  The unique identifier for the config.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.